Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss.encoding
Class XSDDateTimeEncoder

`java.lang.Object
oracle.security.xmlsec.wss.encoding.XSDDateTimeEncoder`

All Implemented Interfaces:
  TimeDataEncoder

public class XSDDateTimeEncoder
extends java.lang.Object
implements TimeDataEncoder

Implements encoding of time in the UTC format.

Constructor Summary
`XSDDateTimeEncoder()`

Method Summary
`java.util.Date` | `decode(java.lang.String encoded)` Parses a date String.
`java.lang.String` | `encode(java.util.Date time)` Formats time as a String in UTC format.
`java.lang.String` | `getValueType()` Get the ValueType for this encoder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDDateTimeEncoder

    public XSDDateTimeEncoder()

Method Detail

### encode

    public java.lang.String encode(java.util.Date time)

  Formats time as a String in UTC format.
  Specified by:
    `encode` in interface `TimeDataEncoder`
  Parameters:
    `time` - The `Date` to format.
  Returns:
    A String representation of the UTC time.

### decode

    public java.util.Date decode(java.lang.String encoded)

  Parses a date String.
  Specified by:
    `decode` in interface `TimeDataEncoder`
  Parameters:
    `encoded` - The formatted date String.
  Returns:
    A `Date` object.

### getValueType

    public java.lang.String getValueType()

  Get the ValueType for this encoder.
  Specified by:
    `getValueType` in interface `TimeDataEncoder`
  Returns:
    The `QName` representing this encoder.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.